ArgumentsAreDifferent
Date: 2015-09-18

org.mockito.exceptions.verification.junit

## Class ArgumentsAreDifferent

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.AssertionError
      - - junit.framework.AssertionFailedError
        - - junit.framework.ComparisonFailure
          - - org.mockito.exceptions.verification.junit.ArgumentsAreDifferent

- All Implemented Interfaces:
    java.io.Serializable

      public class ArgumentsAreDifferent
      extends junit.framework.ComparisonFailure

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgumentsAreDifferent(java.lang.String message, java.lang.String wanted, java.lang.String actual)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `java.lang.StackTraceElement[]` | `getUnfilteredStackTrace()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class junit.framework.ComparisonFailure

      `getActual, getExpected`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArgumentsAreDifferent

          public ArgumentsAreDifferent(java.lang.String message,
                               java.lang.String wanted,
                               java.lang.String actual)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `junit.framework.ComparisonFailure`

    - #### getUnfilteredStackTrace

          public java.lang.StackTraceElement[] getUnfilteredStackTrace()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`